﻿/************************************************/
/* input fields */

input.form-control:focus,
input.form-check-input:focus,
textarea.form-control:focus,
select.form-select:focus {
  border-color: rgb(222, 226, 230);
  box-shadow: none;
  outline: 0;
}

.dummy-field {
  position: absolute;
  top: -999999px;
}

/************************************************/
/* navbar */

.sckt.dropdown:hover .sckt.dropdown-menu {
  display: block;
}

.sckt.dropdown-menu {
  border-top: 1px solid #fff;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  margin: -1px 0 0 -1px;
}

.sckt.dropdown:hover {
  background-color: #fff;
  border-left: 1px solid #CCCDCE;
  border-right: 1px solid #CCCDCE;
  margin: 0 -1px 0 -1px;
}

.sckt.nav-item:hover {
  background-color: #fff;
  border-left: 1px solid #CCCDCE;
  border-right: 1px solid #CCCDCE;
  margin: 0 -1px 0 -1px
}

/************************************************/
/* selectpicker */

.bootstrap-select .btn {
  background-color: #fff !important;
  border-color: rgb(222, 226, 230) !important;
  box-shadow: none;
  outline: 0;
}

.bootstrap-select .dropdown-toggle:focus,
.bootstrap-select > select.mobile-device:focus + .dropdown-toggle {
  outline: 0px none #fff !important;
}

.dropdown-item.active,
.dropdown-item:active {
  background-color: var(--bs-secondary-bg) !important;
  color: #212529 !important;
}

.bootstrap-select.disabled, .bootstrap-select > .disabled {
  background-color: var(--bs-secondary-bg) !important;
  color: #212529 !important;
  cursor: default !important;
}

/************************************************/
/* tagify */

.tagify {
  --tags-focus-border-color: rgb(222, 226, 230) !important;
  --tag-pad: 0 0.5em;
  --tag-hover: #e5e5e5;
  border-color: #dee2e6 !important
}

.tagify__dropdown__wrapper {
  border-color: rgb(222, 226, 230) !important;
}

.tagify__dropdown {
  border-top: 1px solid #dee2e6 !important;
}

.tagify__dropdown__item--active {
  background: var(--bs-secondary-bg);
  color: #212529;
}

.tagify__tag:focus div::before, .tagify__tag:hover:not([readonly]) div::before {
  --tag-bg-inset: 0;
  --tag-bg: var(--tag-hover);
}

.tagify[disabled] {
  background: var(--bs-secondary-bg);
  filter: none;
  opacity: 1;
}

/************************************************/
/* dual list */

.dual-listbox .dual-listbox__search {
  padding: .375rem .75rem;
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
  outline-width: 0 !important;
}

.dual-listbox .dual-listbox__title {
  padding: .375rem .75rem;
  font-size: 100%;
  font-weight: 700;
  border-left: 1px solid var(--bs-border-color);
  border-right: 1px solid var(--bs-border-color);
  border-top: 1px solid var(--bs-border-color);
  border-top-left-radius: var(--bs-border-radius);
  border-top-right-radius: var(--bs-border-radius);
}

.dual-listbox__available,
.dual-listbox__selected {
  height: 263px !important;
  margin-bottom: 0 !important;
}

.dual-listbox .dual-listbox__item {
  padding: .375rem .75rem;
}

  .dual-listbox .dual-listbox__item.dual-listbox__item--selected {
    background-color: var(--bs-secondary-bg);
    color: #212529;
  }

.dual-listbox .dual-listbox__button {
  padding: 5px;
  color: #000;
  font-weight: 700;
  padding-left: 10px !important;
  padding-right: 12px !important;
  letter-spacing: -3px;
}

/* se non vogliamo nascondere i campi di ricerca commentare questa classe */
.dual-listbox .dual-listbox__search {
  display: none !important;
}
/* se non vogliamo nascondere i campi di ricerca commentare questa classe */
.dual-listbox .dual-listbox__title {
  margin-top: 0 !important;
}
/* se non vogliamo nascondere i campi di ricerca commentare questa classe */
.dual-listbox__available, .dual-listbox__selected {
  height: 317px !important;
}

@media (min-width: 1200px) {
  .dual-listbox__container {
    width: 100% !important;
  }

    .dual-listbox__container > div:not(.dual-listbox__buttons) {
      width: 45% !important;
    }

  .dual-listbox__available,
  .dual-listbox__selected {
    width: 100% !important;
  }

  .dual-listbox__buttons {
    width: 10% !important;
    margin: 0 !important;
    padding: 1% !important;
  }
}

/************************************************/
/* modal */

.modal-sheet .modal-dialog {
  transition: bottom .75s ease-in-out;
}

/************************************************/
/* user logged */

#span_userLogged:focus, #span_userLogged:hover {
  background: none !important;
}

/************************************************/
/* functions badge container */

#div_functions {
  min-height: 31px;
  background-color: var(--bs-secondary-bg);
  opacity: 1;
  border-radius: var(--bs-border-radius-sm);
}

/************************************************/
/* file input */

.file-preview {
  padding: 0 !important;
}

.file-drop-zone {
  padding: 0 !important;
  margin: 0 !important;
  border: 0 !important;
}

.file-caption-disabled {
  background-color: var(--bs-secondary-bg) !important;
  color: #212529 !important;
  cursor: default !important;
}

/************************************************/
/* loader */

#loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  position: relative;
  animation: rotate 1s linear infinite;
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 99999;
}

  #loader::before, #loader::after {
    content: "";
    box-sizing: border-box;
    position: absolute;
    inset: 0px;
    border-radius: 50%;
    border: 5px solid #FF3D00;
    animation: prixClipFix 2s linear infinite;
  }

  #loader::after {
    transform: rotate3d(90, 90, 0, 180deg );
    border-color: #FF3D00;
  }

@keyframes rotate {
  0% {
    transform: rotate(0deg)
  }

  100% {
    transform: rotate(360deg)
  }
}

@keyframes prixClipFix {
  0% {
    clip-path: polygon(50% 50%,0 0,0 0,0 0,0 0,0 0)
  }

  50% {
    clip-path: polygon(50% 50%,0 0,100% 0,100% 0,100% 0,100% 0)
  }

  75%, 100% {
    clip-path: polygon(50% 50%,0 0,100% 0,100% 100%,100% 100%,100% 100%)
  }
}

#layer {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.6);
  z-index: 99899;
}

/************************************************/
/* popover */

.popover {
  max-width: 100%;
}

/************************************************/
/* datepicker */

.ui-datepicker {
  z-index: 99999 !important;
}

.ui-widget-header .ui-icon {
  background-image: none !important;
  background-repeat: no-repeat;
}

.ui-datepicker-prev {
  cursor: pointer;
}

  .ui-datepicker-prev::before {
    content: "\f27f" !important;
    font-family: "bootstrap-icons";
    position: absolute;
    left: 40%;
    top: 10%;
  }

.ui-datepicker-next {
  cursor: pointer;
}

  .ui-datepicker-next::before {
    content: "\f280" !important;
    font-family: "bootstrap-icons";
    position: absolute;
    right: 40%;
    top: 10%;
  }

.ui-widget-header .ui-state-hover {
  border: 0 !important;
  background: none !important;
  font-weight: inherit !important;
}

.ui-datepicker-current {
  border: 1px solid #c5c5c5 !important;
  background: #f6f6f6;
  color: #454545 !important;
  font-weight: bold !important;
  opacity: 1 !important;
}
